import java.awt.*;
import java.io.*;

public class Video2Screen extends Frame {

  MyCanvas canvas;
  public static void main(String args[]) {

    Video2Screen dl = new Video2Screen();
    dl.show();
  }

  public Video2Screen() {
    super("Video2Screen");

    canvas = new MyCanvas();

    add("Center",canvas);
    canvas.resize(640, 480);
    pack();
  }
}

class MyCanvas extends Canvas {
  static {
    System.loadLibrary("video2screen");
  }

  public native void Video2Screen(int winData);

  public void paint(Graphics g) {
    int pData = sun.awt.motif.MyCanvasPeer.pData(this);
    try {
      Video2Screen(pData);
    } catch (java.lang.UnsatisfiedLinkError e) {
      System.out.println("Exception in Video2Screen:" + e);
    }

  }
}
